# CFixedSizeArrayT< Titem_, Tcapacity_ >::CHdr Struct Reference

header for fixed size array More...

`#include <fixedsizearray.hpp>`

## Data Fields
int | m_num_items
| number of items in the array
int | m_ref_cnt
| block reference counter (used by copy constructor and by destructor)

## Detailed Description

### template<class Titem_, int Tcapacity_>
struct CFixedSizeArrayT< Titem_, Tcapacity_ >::CHdr

header for fixed size array

Definition at line 20 of file fixedsizearray.hpp.

The documentation for this struct was generated from the following file:

- src/misc/fixedsizearray.hpp